'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.ButtonGroup = exports.Button = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouterDom = require('react-router-dom');

var _Button = require('./Button.css');

var _Button2 = _interopRequireDefault(_Button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Button = function Button(_ref) {
	var _ref$type = _ref.type,
	    type = _ref$type === undefined ? 'button' : _ref$type,
	    _ref$fill = _ref.fill,
	    fill = _ref$fill === undefined ? 'true' : _ref$fill,
	    _ref$color = _ref.color,
	    color = _ref$color === undefined ? 'primary' : _ref$color,
	    _ref$border = _ref.border,
	    border = _ref$border === undefined ? 'true' : _ref$border,
	    _ref$size = _ref.size,
	    size = _ref$size === undefined ? 'md' : _ref$size,
	    _ref$paddingEnds = _ref.paddingEnds,
	    paddingEnds = _ref$paddingEnds === undefined ? 'false' : _ref$paddingEnds,
	    _ref$paddingSides = _ref.paddingSides,
	    paddingSides = _ref$paddingSides === undefined ? 'false' : _ref$paddingSides,
	    _ref$fontsize = _ref.fontsize,
	    fontsize = _ref$fontsize === undefined ? 'false' : _ref$fontsize,
	    _ref$letterSpacing = _ref.letterSpacing,
	    letterSpacing = _ref$letterSpacing === undefined ? 'false' : _ref$letterSpacing,
	    _ref$fullwidth = _ref.fullwidth,
	    fullwidth = _ref$fullwidth === undefined ? 'false' : _ref$fullwidth,
	    _ref$rounded = _ref.rounded,
	    rounded = _ref$rounded === undefined ? 'false' : _ref$rounded,
	    _ref$disabled = _ref.disabled,
	    disabled = _ref$disabled === undefined ? 'false' : _ref$disabled,
	    _ref$circle = _ref.circle,
	    circle = _ref$circle === undefined ? 'false' : _ref$circle,
	    _ref$transform = _ref.transform,
	    transform = _ref$transform === undefined ? 'false' : _ref$transform,
	    _ref$weight = _ref.weight,
	    weight = _ref$weight === undefined ? 'false' : _ref$weight,
	    _ref$isActive = _ref.isActive,
	    isActive = _ref$isActive === undefined ? 'false' : _ref$isActive,
	    _ref$to = _ref.to,
	    to = _ref$to === undefined ? null : _ref$to,
	    _ref$target = _ref.target,
	    target = _ref$target === undefined ? '_self' : _ref$target,
	    _ref$tabindex = _ref.tabindex,
	    tabindex = _ref$tabindex === undefined ? '' : _ref$tabindex,
	    _ref$onClick = _ref.onClick,
	    onClick = _ref$onClick === undefined ? function () {} : _ref$onClick,
	    _ref$className = _ref.className,
	    className = _ref$className === undefined ? "" : _ref$className,
	    children = _ref.children;

	var classes = [className, _Button2.default.button, _Button2.default['color_' + color], _Button2.default['border_' + border], _Button2.default['fill_' + fill], _Button2.default['size_' + size], paddingEnds != "false" ? _Button2.default['paddingEnds_' + paddingEnds] : '', paddingSides != "false" ? _Button2.default['paddingSides_' + paddingSides] : '', fontsize != "false" ? _Button2.default['fontsize_' + fontsize] : '', letterSpacing != "false" ? _Button2.default['letterSpacing_' + letterSpacing] : '', rounded != "false" ? _Button2.default['rounded_' + rounded] : '', fullwidth != "false" ? _Button2.default['fullwidth_' + fullwidth] : '', disabled != "false" ? _Button2.default['disabled_' + disabled] : '', circle != "false" ? _Button2.default['circle_' + circle] : '', transform != "false" ? _Button2.default['transform_' + transform] : '', weight != "false" ? _Button2.default['weight_' + weight] : '', isActive != "false" ? _Button2.default['isActive_' + isActive] : ''].join(' ');

	if (disabled == "true") onClick = null;

	if (type == "link") {
		return _react2.default.createElement(
			_reactRouterDom.Link,
			{ to: to, onClick: onClick, className: classes, tabIndex: tabindex },
			children
		);
	} else if (type == "href") {
		return _react2.default.createElement(
			'a',
			{ href: to, onClick: onClick, className: classes, target: target, tabIndex: tabindex },
			children
		);
	} else {
		return _react2.default.createElement(
			'button',
			{ onClick: onClick, className: classes, type: type, tabIndex: tabindex },
			children
		);
	}
};

var ButtonGroup = function ButtonGroup(_ref2) {
	var children = _ref2.children;

	return _react2.default.createElement(
		'div',
		{ className: _Button2.default.buttonGroup },
		children
	);
};

exports.Button = Button;
exports.ButtonGroup = ButtonGroup;