'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.FormItemGroup = exports.Option = exports.Select = exports.Radio = exports.Switch = exports.Checkbox = exports.Textarea = exports.TextInput = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactFontawesome = require('@fortawesome/react-fontawesome');

var _Form = require('./Form.css');

var _Form2 = _interopRequireDefault(_Form);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TextInput = function TextInput(_ref) {
	var _ref$size = _ref.size,
	    size = _ref$size === undefined ? "md" : _ref$size,
	    _ref$state = _ref.state,
	    state = _ref$state === undefined ? null : _ref$state,
	    label = _ref.label,
	    _ref$type = _ref.type,
	    type = _ref$type === undefined ? "text" : _ref$type,
	    helper = _ref.helper,
	    prepend = _ref.prepend,
	    append = _ref.append,
	    onChange = _ref.onChange,
	    placeholder = _ref.placeholder,
	    tabindex = _ref.tabindex,
	    value = _ref.value,
	    name = _ref.name,
	    maxlength = _ref.maxlength,
	    autocomplete = _ref.autocomplete;


	var classes = [_Form2.default.textInput, _Form2.default['size_' + size], _Form2.default['state_' + state]].join(" ");

	return _react2.default.createElement(
		'div',
		{ className: classes },
		label && _react2.default.createElement(
			'label',
			{ className: _Form2.default.label },
			label
		),
		_react2.default.createElement(
			'div',
			{ className: _Form2.default.field },
			prepend && _react2.default.createElement(
				'div',
				{ className: _Form2.default.prepend },
				prepend
			),
			_react2.default.createElement('input', {
				maxLength: maxlength,
				name: name, type: type,
				value: value,
				placeholder: placeholder,
				onChange: onChange,
				tabIndex: tabindex,
				autoComplete: autocomplete
			}),
			append && _react2.default.createElement(
				'div',
				{ className: _Form2.default.append },
				append
			)
		),
		helper && _react2.default.createElement(
			'div',
			{ className: _Form2.default.helper },
			helper
		)
	);
};

var Textarea = function Textarea(_ref2) {
	var _ref2$state = _ref2.state,
	    state = _ref2$state === undefined ? null : _ref2$state,
	    _ref2$rows = _ref2.rows,
	    rows = _ref2$rows === undefined ? 3 : _ref2$rows,
	    label = _ref2.label,
	    helper = _ref2.helper,
	    onChange = _ref2.onChange,
	    placeholder = _ref2.placeholder,
	    tabindex = _ref2.tabindex,
	    value = _ref2.value,
	    name = _ref2.name,
	    maxlength = _ref2.maxlength,
	    autocomplete = _ref2.autocomplete;


	var classes = [_Form2.default.textarea, _Form2.default['rows_' + rows], _Form2.default['state_' + state]].join(" ");
	return _react2.default.createElement(
		'div',
		{ className: classes },
		label && _react2.default.createElement(
			'label',
			{ className: _Form2.default.label },
			label
		),
		_react2.default.createElement(
			'div',
			{ className: _Form2.default.field },
			_react2.default.createElement(
				'textarea',
				{
					maxLength: maxlength,
					name: name,
					placeholder: placeholder,
					onChange: onChange,
					tabIndex: tabindex,
					autoComplete: autocomplete
				},
				value
			)
		),
		helper && _react2.default.createElement(
			'div',
			{ className: _Form2.default.helper },
			helper
		)
	);
};

var Checkbox = function Checkbox(_ref3) {
	var _ref3$size = _ref3.size,
	    size = _ref3$size === undefined ? "md" : _ref3$size,
	    _ref3$state = _ref3.state,
	    state = _ref3$state === undefined ? null : _ref3$state,
	    _ref3$border = _ref3.border,
	    border = _ref3$border === undefined ? true : _ref3$border,
	    label = _ref3.label,
	    onChange = _ref3.onChange,
	    tabindex = _ref3.tabindex,
	    _ref3$checked = _ref3.checked,
	    checked = _ref3$checked === undefined ? false : _ref3$checked,
	    value = _ref3.value,
	    name = _ref3.name;


	var classes = [_Form2.default.checkbox, _Form2.default['border_' + border], _Form2.default['size_' + size], _Form2.default['state_' + state]].join(" ");

	return _react2.default.createElement(
		'div',
		{ className: classes },
		_react2.default.createElement(
			'label',
			{ className: _Form2.default.field },
			_react2.default.createElement('input', { type: 'checkbox', className: _Form2.default.inputHidden, name: name, defaultChecked: checked, onChange: onChange, value: value, tabIndex: tabindex }),
			_react2.default.createElement(
				'div',
				{ className: _Form2.default.custom },
				_react2.default.createElement(
					'div',
					{ className: _Form2.default.unchecked },
					_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ['far', 'square'], fixedWidth: true })
				),
				_react2.default.createElement(
					'div',
					{ className: _Form2.default.checked },
					_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ['fas', 'check-square'], fixedWidth: true })
				)
			),
			_react2.default.createElement(
				'span',
				{ className: _Form2.default.sublabel },
				label
			)
		)
	);
};

var Switch = function Switch(_ref4) {
	var _ref4$size = _ref4.size,
	    size = _ref4$size === undefined ? "md" : _ref4$size,
	    _ref4$state = _ref4.state,
	    state = _ref4$state === undefined ? null : _ref4$state,
	    _ref4$border = _ref4.border,
	    border = _ref4$border === undefined ? false : _ref4$border,
	    label = _ref4.label,
	    helper = _ref4.helper,
	    onChange = _ref4.onChange,
	    tabindex = _ref4.tabindex,
	    _ref4$checked = _ref4.checked,
	    checked = _ref4$checked === undefined ? false : _ref4$checked,
	    value = _ref4.value,
	    name = _ref4.name;


	var classes = [_Form2.default.switch, _Form2.default['border_' + border], _Form2.default['size_' + size], _Form2.default['state_' + state]].join(" ");

	return _react2.default.createElement(
		'div',
		{ className: classes },
		_react2.default.createElement(
			'label',
			{ className: _Form2.default.field },
			_react2.default.createElement('input', { type: 'checkbox', className: _Form2.default.inputHidden, name: name, defaultChecked: checked, onChange: onChange, value: value, tabIndex: tabindex }),
			_react2.default.createElement(
				'div',
				{ className: _Form2.default.custom },
				_react2.default.createElement(
					'div',
					{ className: _Form2.default.unchecked },
					_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ["fas", "toggle-on"], rotation: 180 })
				),
				_react2.default.createElement(
					'div',
					{ className: _Form2.default.checked },
					_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ["fas", "toggle-on"] })
				)
			),
			_react2.default.createElement(
				'span',
				{ className: _Form2.default.label },
				label
			)
		),
		helper && _react2.default.createElement(
			'div',
			{ className: _Form2.default.helper },
			helper
		)
	);
};

var Radio = function Radio(_ref5) {
	var _ref5$size = _ref5.size,
	    size = _ref5$size === undefined ? "md" : _ref5$size,
	    _ref5$state = _ref5.state,
	    state = _ref5$state === undefined ? null : _ref5$state,
	    _ref5$border = _ref5.border,
	    border = _ref5$border === undefined ? true : _ref5$border,
	    label = _ref5.label,
	    onChange = _ref5.onChange,
	    tabindex = _ref5.tabindex,
	    checked = _ref5.checked,
	    value = _ref5.value,
	    name = _ref5.name;


	var classes = [_Form2.default.radio, _Form2.default['border_' + border], _Form2.default['size_' + size], _Form2.default['state_' + state]].join(" ");

	return _react2.default.createElement(
		'div',
		{ className: classes },
		_react2.default.createElement(
			'label',
			{ className: _Form2.default.field },
			_react2.default.createElement('input', { type: 'radio', className: _Form2.default.inputHidden, name: name, defaultChecked: checked, onChange: onChange, value: value, tabIndex: tabindex }),
			_react2.default.createElement(
				'div',
				{ className: _Form2.default.custom },
				_react2.default.createElement(
					'div',
					{ className: _Form2.default.unchecked },
					_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ['far', 'circle'], fixedWidth: true })
				),
				_react2.default.createElement(
					'div',
					{ className: _Form2.default.checked },
					_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ['fas', 'circle'], fixedWidth: true })
				)
			),
			_react2.default.createElement(
				'span',
				{ className: _Form2.default.sublabel },
				label
			)
		)
	);
};

var Select = function Select(_ref6) {
	var _ref6$display = _ref6.display,
	    display = _ref6$display === undefined ? "block" : _ref6$display,
	    _ref6$size = _ref6.size,
	    size = _ref6$size === undefined ? "md" : _ref6$size,
	    _ref6$state = _ref6.state,
	    state = _ref6$state === undefined ? null : _ref6$state,
	    label = _ref6.label,
	    helper = _ref6.helper,
	    onChange = _ref6.onChange,
	    tabindex = _ref6.tabindex,
	    value = _ref6.value,
	    name = _ref6.name,
	    children = _ref6.children,
	    autocomplete = _ref6.autocomplete;


	var classes = [_Form2.default.select, _Form2.default['checkbox_' + display], _Form2.default['size_' + size], _Form2.default['state_' + state]].join(" ");

	return _react2.default.createElement(
		'div',
		{ className: classes },
		label && _react2.default.createElement(
			'label',
			{ className: _Form2.default.label },
			label
		),
		_react2.default.createElement(
			'div',
			{ className: _Form2.default.field },
			_react2.default.createElement(
				'select',
				{
					name: name,
					onChange: onChange,
					tabIndex: tabindex,
					value: value,
					autoComplete: autocomplete
				},
				children
			),
			_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { className: _Form2.default.icon, icon: ['fas', 'chevron-down'], fixedWidth: true })
		),
		helper && _react2.default.createElement(
			'div',
			{ className: _Form2.default.helper },
			helper
		)
	);
};

var Option = function Option(_ref7) {
	var _ref7$disabled = _ref7.disabled,
	    disabled = _ref7$disabled === undefined ? false : _ref7$disabled,
	    _ref7$value = _ref7.value,
	    value = _ref7$value === undefined ? "" : _ref7$value,
	    children = _ref7.children;


	return _react2.default.createElement(
		'option',
		{ value: value, disabled: disabled },
		children
	);
};

var FormItemGroup = function FormItemGroup(_ref8) {
	var label = _ref8.label,
	    helper = _ref8.helper,
	    _ref8$state = _ref8.state,
	    state = _ref8$state === undefined ? null : _ref8$state,
	    children = _ref8.children;


	var classes = [_Form2.default.formItemGroup, _Form2.default['state_' + state]].join(" ");

	return _react2.default.createElement(
		'div',
		{ className: classes },
		label && _react2.default.createElement(
			'span',
			{ className: _Form2.default.label },
			label
		),
		_react2.default.createElement(
			'div',
			null,
			children
		),
		helper && _react2.default.createElement(
			'div',
			{ className: _Form2.default.helper },
			helper
		)
	);
};

exports.TextInput = TextInput;
exports.Textarea = Textarea;
exports.Checkbox = Checkbox;
exports.Switch = Switch;
exports.Radio = Radio;
exports.Select = Select;
exports.Option = Option;
exports.FormItemGroup = FormItemGroup;