'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.Col = exports.Row = exports.Container = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _utils = require('../../utils/utils');

var _global = require('../../styles/global.css');

var _global2 = _interopRequireDefault(_global);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Container = function Container(_ref) {
	var _ref$height = _ref.height,
	    height = _ref$height === undefined ? "auto" : _ref$height,
	    _ref$fixedWidth = _ref.fixedWidth,
	    fixedWidth = _ref$fixedWidth === undefined ? "false" : _ref$fixedWidth,
	    _ref$align = _ref.align,
	    align = _ref$align === undefined ? "stretch" : _ref$align,
	    _ref$justify = _ref.justify,
	    justify = _ref$justify === undefined ? "start" : _ref$justify,
	    _ref$centered = _ref.centered,
	    centered = _ref$centered === undefined ? "false" : _ref$centered,
	    _ref$grow = _ref.grow,
	    grow = _ref$grow === undefined ? "0" : _ref$grow,
	    _ref$backgroundColor = _ref.backgroundColor,
	    backgroundColor = _ref$backgroundColor === undefined ? "none" : _ref$backgroundColor,
	    _ref$paddingTop = _ref.paddingTop,
	    paddingTop = _ref$paddingTop === undefined ? "zero" : _ref$paddingTop,
	    _ref$paddingBottom = _ref.paddingBottom,
	    paddingBottom = _ref$paddingBottom === undefined ? "zero" : _ref$paddingBottom,
	    paddingEnds = _ref.paddingEnds,
	    _ref$className = _ref.className,
	    className = _ref$className === undefined ? "" : _ref$className,
	    children = _ref.children;


	var classes = [className, _global2.default.displayFlex, _global2.default.flexDirectionColumn, _global2.default.width100per, _global2.default.positionRelative, (0, _utils.getResponsiveClasses)('height', height), (0, _utils.getResponsiveClasses)('backgroundColor', backgroundColor), (0, _utils.getResponsiveClasses)('fixedWidth', fixedWidth), (0, _utils.getResponsiveClasses)('flexGrow', grow), (0, _utils.getResponsiveClasses)('align', align), (0, _utils.getResponsiveClasses)('justify', justify), (0, _utils.getResponsiveClasses)('paddingTop', paddingTop), (0, _utils.getResponsiveClasses)('paddingBottom', paddingBottom), (0, _utils.getResponsiveClasses)('paddingEnds', paddingEnds), centered === "true" && (0, _utils.getResponsiveClasses)('centered')].join(' ');

	return _react2.default.createElement(
		'div',
		{ className: classes },
		children
	);
};

var Row = function Row(_ref2) {
	var _ref2$gutter = _ref2.gutter,
	    gutter = _ref2$gutter === undefined ? "md" : _ref2$gutter,
	    _ref2$align = _ref2.align,
	    align = _ref2$align === undefined ? "stretch" : _ref2$align,
	    _ref2$justify = _ref2.justify,
	    justify = _ref2$justify === undefined ? "start" : _ref2$justify,
	    _ref2$centered = _ref2.centered,
	    centered = _ref2$centered === undefined ? "false" : _ref2$centered,
	    _ref2$wrap = _ref2.wrap,
	    wrap = _ref2$wrap === undefined ? "nowrap" : _ref2$wrap,
	    _ref2$direction = _ref2.direction,
	    direction = _ref2$direction === undefined ? "row" : _ref2$direction,
	    _ref2$marginTop = _ref2.marginTop,
	    marginTop = _ref2$marginTop === undefined ? "zero" : _ref2$marginTop,
	    _ref2$marginBottom = _ref2.marginBottom,
	    marginBottom = _ref2$marginBottom === undefined ? "zero" : _ref2$marginBottom,
	    _ref2$paddingTop = _ref2.paddingTop,
	    paddingTop = _ref2$paddingTop === undefined ? "zero" : _ref2$paddingTop,
	    _ref2$paddingBottom = _ref2.paddingBottom,
	    paddingBottom = _ref2$paddingBottom === undefined ? "zero" : _ref2$paddingBottom,
	    _ref2$grow = _ref2.grow,
	    grow = _ref2$grow === undefined ? "0" : _ref2$grow,
	    _ref2$display = _ref2.display,
	    display = _ref2$display === undefined ? "flex" : _ref2$display,
	    _ref2$className = _ref2.className,
	    className = _ref2$className === undefined ? "" : _ref2$className,
	    children = _ref2.children;


	var classes = [className, _global2.default.width100per, _global2.default.gutter, (0, _utils.getResponsiveClasses)('display', display), (0, _utils.getResponsiveClasses)('flex', wrap), (0, _utils.getResponsiveClasses)('flexGrow', grow), (0, _utils.getResponsiveClasses)('align', align), (0, _utils.getResponsiveClasses)('justify', justify), centered === "true" && (0, _utils.getResponsiveClasses)('centered'), (0, _utils.getResponsiveClasses)('marginTop', marginTop), (0, _utils.getResponsiveClasses)('marginBottom', marginBottom), (0, _utils.getResponsiveClasses)('paddingTop', paddingTop), (0, _utils.getResponsiveClasses)('paddingBottom', paddingBottom), (0, _utils.getResponsiveClasses)('colDirection', direction), (0, _utils.getResponsiveClasses)('gutter', gutter)].join(' ');

	return _react2.default.createElement(
		'div',
		{ className: classes },
		children
	);
};

var Col = function Col(_ref3) {
	var _ref3$width = _ref3.width,
	    width = _ref3$width === undefined ? "auto" : _ref3$width,
	    _ref3$marginTop = _ref3.marginTop,
	    marginTop = _ref3$marginTop === undefined ? "zero" : _ref3$marginTop,
	    _ref3$marginBottom = _ref3.marginBottom,
	    marginBottom = _ref3$marginBottom === undefined ? "zero" : _ref3$marginBottom,
	    _ref3$paddingTop = _ref3.paddingTop,
	    paddingTop = _ref3$paddingTop === undefined ? "zero" : _ref3$paddingTop,
	    _ref3$paddingBottom = _ref3.paddingBottom,
	    paddingBottom = _ref3$paddingBottom === undefined ? "zero" : _ref3$paddingBottom,
	    _ref3$display = _ref3.display,
	    display = _ref3$display === undefined ? "block" : _ref3$display,
	    _ref3$align = _ref3.align,
	    align = _ref3$align === undefined ? "stretch" : _ref3$align,
	    _ref3$justify = _ref3.justify,
	    justify = _ref3$justify === undefined ? "start" : _ref3$justify,
	    _ref3$centered = _ref3.centered,
	    centered = _ref3$centered === undefined ? "false" : _ref3$centered,
	    _ref3$direction = _ref3.direction,
	    direction = _ref3$direction === undefined ? "row" : _ref3$direction,
	    _ref3$textAlign = _ref3.textAlign,
	    textAlign = _ref3$textAlign === undefined ? "left" : _ref3$textAlign,
	    _ref3$className = _ref3.className,
	    className = _ref3$className === undefined ? "" : _ref3$className,
	    children = _ref3.children;


	var classes = [className, (0, _utils.getResponsiveClasses)('flexWidth', width), (0, _utils.getResponsiveClasses)('marginTop', marginTop), (0, _utils.getResponsiveClasses)('marginBottom', marginBottom), (0, _utils.getResponsiveClasses)('paddingTop', paddingTop), (0, _utils.getResponsiveClasses)('paddingBottom', paddingBottom), (0, _utils.getResponsiveClasses)('display', display), (0, _utils.getResponsiveClasses)('align', align), (0, _utils.getResponsiveClasses)('justify', justify), centered === "true" && (0, _utils.getResponsiveClasses)('centered'), (0, _utils.getResponsiveClasses)('flexDirection', direction), (0, _utils.getResponsiveClasses)('textAlign', textAlign)].join(' ');

	return _react2.default.createElement(
		'div',
		{ className: classes },
		children
	);
};

exports.Container = Container;
exports.Row = Row;
exports.Col = Col;