'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.TableDataEmpty = exports.TableMobileHeading = exports.TableData = exports.TableRow = exports.TableHeadingData = exports.TableHeadingRow = exports.Table = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouterDom = require('react-router-dom');

var _utils = require('../../utils/utils');

var _global = require('../../styles/global.css');

var _global2 = _interopRequireDefault(_global);

var _Table = require('./Table.css');

var _Table2 = _interopRequireDefault(_Table);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Table = function Table(_ref) {
	var children = _ref.children;


	var classes = [_global2.default.width100per, _global2.default.paddingBottomSm].join(' ');

	return _react2.default.createElement(
		'div',
		{ className: classes },
		children
	);
};

var TableHeadingRow = function TableHeadingRow(_ref2) {
	var children = _ref2.children;


	var classes = [_Table2.default.headingRow].join(' ');

	return _react2.default.createElement(
		'div',
		{ className: classes },
		children
	);
};

var TableHeadingData = function TableHeadingData(_ref3) {
	var _ref3$width = _ref3.width,
	    width = _ref3$width === undefined ? "auto" : _ref3$width,
	    _ref3$textAlign = _ref3.textAlign,
	    textAlign = _ref3$textAlign === undefined ? "left" : _ref3$textAlign,
	    children = _ref3.children;


	var classes = [(0, _utils.getResponsiveClasses)('flexWidth', width), (0, _utils.getResponsiveClasses)('textAlign', textAlign), _Table2.default.heading].join(' ');

	return _react2.default.createElement(
		'div',
		{ className: classes },
		children
	);
};

var TableRow = function TableRow(_ref4) {
	var _ref4$to = _ref4.to,
	    to = _ref4$to === undefined ? false : _ref4$to,
	    children = _ref4.children;


	var classes = [_Table2.default.row].join(' ');

	var classesLinks = [_Table2.default.rowLink].join(' ');

	if (!to) {
		return _react2.default.createElement(
			'div',
			{ className: classes },
			children
		);
	} else {
		return _react2.default.createElement(
			_reactRouterDom.NavLink,
			{
				className: [classes, classesLinks].join(' '),
				to: to
			},
			children
		);
	}
};

var TableData = function TableData(_ref5) {
	var _ref5$width = _ref5.width,
	    width = _ref5$width === undefined ? "auto" : _ref5$width,
	    _ref5$textAlign = _ref5.textAlign,
	    textAlign = _ref5$textAlign === undefined ? "left" : _ref5$textAlign,
	    _ref5$display = _ref5.display,
	    display = _ref5$display === undefined ? "block" : _ref5$display,
	    children = _ref5.children;


	var classes = [(0, _utils.getResponsiveClasses)('flexWidth', width), (0, _utils.getResponsiveClasses)('textAlign', textAlign), (0, _utils.getResponsiveClasses)('display', display), _Table2.default.data].join(' ');

	return _react2.default.createElement(
		'div',
		{ className: classes },
		children
	);
};

var TableMobileHeading = function TableMobileHeading(_ref6) {
	var children = _ref6.children;


	var classes = [_Table2.default.mobileHeading].join(' ');

	return _react2.default.createElement(
		'span',
		{ className: classes },
		children
	);
};

var TableDataEmpty = function TableDataEmpty(_ref7) {
	var children = _ref7.children;


	var classes = [_global2.default.empty].join(' ');

	return _react2.default.createElement(
		'div',
		{ className: classes },
		children
	);
};

exports.Table = Table;
exports.TableHeadingRow = TableHeadingRow;
exports.TableHeadingData = TableHeadingData;
exports.TableRow = TableRow;
exports.TableData = TableData;
exports.TableMobileHeading = TableMobileHeading;
exports.TableDataEmpty = TableDataEmpty;