'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../../index');

var _global = require('../../styles/global.css');

var _global2 = _interopRequireDefault(_global);

var _Docs = require('../Docs.css');

var _Docs2 = _interopRequireDefault(_Docs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PageForm = function PageForm() {
	return _react2.default.createElement(
		'div',
		null,
		_react2.default.createElement(
			'h1',
			{ className: _Docs2.default.docHeading1 },
			'Form'
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'TextInput'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'h3',
					{ className: _Docs2.default.docHeading3 },
					'Basic'
				),
				_react2.default.createElement(_index.TextInput, { label: 'Label', placeholder: 'Please input something', helper: 'Optional helper text', state: 'error' }),
				_react2.default.createElement(
					'h3',
					{ className: _Docs2.default.docHeading3 + ' ' + _global2.default.marginEndsLg },
					'Append / Prepend'
				),
				_react2.default.createElement(
					_index.Row,
					{ marginBottom: 'lg' },
					_react2.default.createElement(
						_index.Col,
						{ width: '50per' },
						_react2.default.createElement(_index.TextInput, { append: '%', label: 'Append' })
					),
					_react2.default.createElement(
						_index.Col,
						{ width: '50per' },
						_react2.default.createElement(_index.TextInput, { prepend: '$', label: 'Prepend' })
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Form>'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Text Area'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					_index.Row,
					{ marginBottom: 'lg' },
					_react2.default.createElement(
						_index.Col,
						{ width: 'grow' },
						_react2.default.createElement(_index.Textarea, {
							label: 'This is a label',
							helper: 'This is some helper text',
							placeholder: 'This is the placeholder'
						})
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Form>'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Checkbox'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(_index.Checkbox, { label: 'just some label' })
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Checkbox>'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Switch'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(_index.Switch, { label: 'just some label', helper: 'this is some helper text this is some helper text this is some helper text' })
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Checkbox>'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Radio'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					_index.Row,
					{ marginBottom: 'lg' },
					_react2.default.createElement(
						_index.Col,
						{ width: 'grow' },
						_react2.default.createElement(_index.Radio, {
							label: 'just some label',
							name: 'demo'
						}),
						_react2.default.createElement(_index.Radio, {
							label: 'just some label',
							name: 'demo'
						}),
						_react2.default.createElement(_index.Radio, {
							label: 'just some label',
							name: 'demo',
							checked: true
						})
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Checkbox>'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Select'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					_index.Row,
					{ marginBottom: 'lg' },
					_react2.default.createElement(
						_index.Col,
						{ width: 'grow' },
						_react2.default.createElement(
							_index.Select,
							{
								label: 'just some label',
								helper: 'this is some helper text',
								value: '3',
								onChange: function onChange() {
									console.log("select changed!");
								}
							},
							_react2.default.createElement(
								_index.Option,
								{ value: '1' },
								'option1'
							),
							_react2.default.createElement(
								_index.Option,
								{ value: '2', disabled: true },
								'option2'
							),
							_react2.default.createElement(
								_index.Option,
								{ value: '3' },
								'option3'
							),
							_react2.default.createElement(
								_index.Option,
								{ value: '4' },
								'option4'
							)
						)
					)
				),
				_react2.default.createElement(
					_index.Row,
					null,
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Select,
							{
								value: '3',
								onChange: function onChange() {
									console.log("select changed!");
								}
							},
							_react2.default.createElement(
								_index.Option,
								{ value: '1' },
								'thisisatest'
							)
						)
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Checkbox>'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Form Item Group'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					_index.Row,
					{ marginBottom: 'lg' },
					_react2.default.createElement(
						_index.Col,
						{ width: 'grow' },
						_react2.default.createElement(
							_index.FormItemGroup,
							{
								label: 'this is some group label',
								helper: 'this is some helper text'
							},
							_react2.default.createElement(_index.Checkbox, { inline: 'false', label: 'just some label' }),
							_react2.default.createElement(_index.Checkbox, { inline: 'false', label: 'just some label1', checked: true }),
							_react2.default.createElement(_index.Checkbox, { inline: 'false', label: 'just some label2' })
						)
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Checkbox>'
				)
			)
		)
	);
};

exports.default = PageForm;