'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../../index');

var _reactFontawesome = require('@fortawesome/react-fontawesome');

var _global = require('../../styles/global.css');

var _global2 = _interopRequireDefault(_global);

var _Docs = require('../Docs.css');

var _Docs2 = _interopRequireDefault(_Docs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PageIcon = function PageIcon() {
	return _react2.default.createElement(
		'div',
		null,
		_react2.default.createElement(
			'h1',
			{ className: _Docs2.default.docHeading1 },
			'Icon (Font Awesome)'
		),
		_react2.default.createElement(
			_index.Button,
			{
				type: 'href',
				to: 'https://fontawesome.com/icons?d=gallery&m=free',
				target: '_blank'
			},
			_react2.default.createElement(
				'span',
				{ className: _global2.default.paddingRightXsm },
				'Font Awesome'
			),
			_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ['fas', 'external-link-alt'] })
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 + ' ' + _global2.default.marginTopLg },
			'Setup'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'h3',
					{ className: _Docs2.default.docHeading3 },
					'App'
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'import { library } from \'@fortawesome/fontawesome-svg-core\';'
				),
				_react2.default.createElement(
					'div',
					null,
					'import { faExternalLinkAlt } from \'@fortawesome/free-solid-svg-icons\';'
				),
				_react2.default.createElement(
					'div',
					null,
					'import { } from \'@fortawesome/free-regular-svg-icons\';'
				),
				_react2.default.createElement(
					'div',
					null,
					'import { } from \'@fortawesome/free-brands-svg-icons\';'
				),
				_react2.default.createElement(
					'div',
					null,
					'library.add( faExternalLinkAlt );'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Usage'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'h3',
					{ className: '' + _Docs2.default.docHeading3 },
					'Fixed Width'
				),
				_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ['fas', 'external-link-alt'], fixedWidth: true }),
				_react2.default.createElement(
					'h3',
					{ className: ' ' + _Docs2.default.docHeading3 + ' ' + _global2.default.paddingTopSm },
					'Shrink'
				),
				_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ['fas', 'external-link-alt'], transform: 'shrink-5' }),
				_react2.default.createElement(
					'h3',
					{ className: ' ' + _Docs2.default.docHeading3 + ' ' + _global2.default.paddingTopSm },
					'Grow'
				),
				_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ['fas', 'external-link-alt'], transform: 'grow-5' }),
				_react2.default.createElement(
					'h3',
					{ className: ' ' + _Docs2.default.docHeading3 + ' ' + _global2.default.paddingTopSm },
					'Rotate'
				),
				_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ['fas', 'external-link-alt'], rotation: 90 })
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'import { FontAwesomeIcon } from \'@fortawesome/react-fontawesome\';'
				),
				_react2.default.createElement(
					'div',
					null,
					'<FontAwesomeIcon icon={[\'fas\', \'external-link-alt\']} fixedWidth />'
				),
				_react2.default.createElement(
					'div',
					null,
					'<FontAwesomeIcon icon={[\'fas\', \'external-link-alt\']} transform=\'shrink-5\' />'
				),
				_react2.default.createElement(
					'div',
					null,
					'<FontAwesomeIcon icon={[\'fas\', \'external-link-alt\']} transform=\'grow-5\' />'
				),
				_react2.default.createElement(
					'div',
					null,
					'<FontAwesomeIcon icon={[\'fas\', \'external-link-alt\']} rotation={90} />'
				)
			)
		)
	);
};

exports.default = PageIcon;