'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../../index');

var _global = require('../../styles/global.css');

var _global2 = _interopRequireDefault(_global);

var _Docs = require('../Docs.css');

var _Docs2 = _interopRequireDefault(_Docs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PageLayout = function (_Component) {
	_inherits(PageLayout, _Component);

	function PageLayout(props) {
		_classCallCheck(this, PageLayout);

		var _this = _possibleConstructorReturn(this, (PageLayout.__proto__ || Object.getPrototypeOf(PageLayout)).call(this, props));

		_this.state = {
			active: false
		};
		return _this;
	}

	_createClass(PageLayout, [{
		key: 'toggleModal',
		value: function toggleModal() {
			this.setState({
				active: !this.state.active
			});
		}
	}, {
		key: 'render',
		value: function render() {
			return _react2.default.createElement(
				'div',
				null,
				_react2.default.createElement(
					'h1',
					{ className: _Docs2.default.docHeading1 },
					'Layout'
				),
				_react2.default.createElement(
					'h2',
					{ className: _Docs2.default.docHeading2 },
					'Container'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'h3',
							{ className: _Docs2.default.docHeading3 },
							'Props'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxCode },
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 + ' ' + _global2.default.marginEndsXsm },
							'Height'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Container height="auto"></Container> // default'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Container height="200px"></Container>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Container height="100per"></Container>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Container height="min100vh"></Container>'
						),
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 + ' ' + _global2.default.marginEndsXsm },
							'Fixed Width'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Container fixedWidth="false"></Container> // default'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Container fixedWidth="true"></Container>'
						),
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 + ' ' + _global2.default.marginEndsXsm },
							'Align'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Container align="stretch"></Container> // default'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Container align="start"></Container>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Container align="end"></Container>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Container align="center"></Container>'
						),
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 + ' ' + _global2.default.marginEndsXsm },
							'Justify'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Container justify="start"></Container> // default'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Container justify="end"></Container>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Container justify="center"></Container>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Container justify="between"></Container>'
						),
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 + ' ' + _global2.default.marginEndsXsm },
							'Grow'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Container grow="0"></Container> // default'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Container width="grow"></Container> // default'
						),
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 + ' ' + _global2.default.marginEndsXsm },
							'Background Color'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Container backgroundColor="none"></Container> //default'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Container backgroundColor="[config.color]"></Container> //default'
						)
					)
				),
				_react2.default.createElement(
					'h2',
					{ className: _Docs2.default.docHeading2 },
					'Row Gutter'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 },
							'default "md"'
						),
						_react2.default.createElement(
							_index.Row,
							{ gutter: 'zero', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'zero'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'zero'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'zero'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ gutter: 'xsm', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xsm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xsm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xsm'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ gutter: 'sm', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'sm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'sm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'sm'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ gutter: 'md', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'md'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'md'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'md'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ gutter: 'lg', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'lg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'lg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'lg'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ gutter: 'xlg', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xlg'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ gutter: 'xxlg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxlg'
								)
							)
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxCode },
						_react2.default.createElement(
							'div',
							null,
							'<Row gutter="zero"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row gutter="xsm"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row gutter="sm"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row gutter="md"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row gutter="lg"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row gutter="xlg"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row gutter="xxlg"></Row>'
						)
					)
				),
				_react2.default.createElement(
					'h2',
					{ className: _Docs2.default.docHeading2 },
					'Row Align'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 },
							'default "stretch"'
						),
						_react2.default.createElement(
							_index.Row,
							{ align: 'stretch', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'stretch'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'stretch - Deserunt proident tempor et velit nostrud ullamco enim ipsum excepteur laboris officia amet cillum aute. Aute quis elit cillum sit. '
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'stretch'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ align: 'start', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'start'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'start - Deserunt proident tempor et velit nostrud ullamco enim ipsum excepteur laboris officia amet cillum aute. Aute quis elit cillum sit. '
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'start'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ align: 'center', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'center'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'center - Deserunt proident tempor et velit nostrud ullamco enim ipsum excepteur laboris officia amet cillum aute. Aute quis elit cillum sit. '
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'center'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ align: 'end', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'end'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'end - Deserunt proident tempor et velit nostrud ullamco enim ipsum excepteur laboris officia amet cillum aute. Aute quis elit cillum sit. '
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'end'
								)
							)
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxCode },
						_react2.default.createElement(
							'div',
							null,
							'<Row align="start"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row align="center"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row align="end"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row align="stretch"></Row>'
						)
					)
				),
				_react2.default.createElement(
					'h2',
					{ className: _Docs2.default.docHeading2 },
					'Row Justify'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 },
							'default "start"'
						),
						_react2.default.createElement(
							_index.Row,
							{ justify: 'start', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								null,
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'start'
								)
							),
							_react2.default.createElement(
								_index.Col,
								null,
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'start'
								)
							),
							_react2.default.createElement(
								_index.Col,
								null,
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'start'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ justify: 'center', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								null,
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'center'
								)
							),
							_react2.default.createElement(
								_index.Col,
								null,
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'center'
								)
							),
							_react2.default.createElement(
								_index.Col,
								null,
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'center'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ justify: 'end', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								null,
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'end'
								)
							),
							_react2.default.createElement(
								_index.Col,
								null,
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'end'
								)
							),
							_react2.default.createElement(
								_index.Col,
								null,
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'end'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ justify: 'between', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								null,
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'between'
								)
							),
							_react2.default.createElement(
								_index.Col,
								null,
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'between'
								)
							),
							_react2.default.createElement(
								_index.Col,
								null,
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'between'
								)
							)
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxCode },
						_react2.default.createElement(
							'div',
							null,
							'<Row justify="start"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row justify="center"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row justify="end"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row justify="between"></Row>'
						)
					)
				),
				_react2.default.createElement(
					'h2',
					{ className: _Docs2.default.docHeading2 },
					'Row Wrap'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox, style: { width: "50%" } },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 },
							'default "nowrap"'
						),
						_react2.default.createElement(
							_index.Row,
							{ wrap: 'nowrap', gutter: 'zero', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ width: '33per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'1 true'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: '33per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'2 true'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: '33per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'3 true'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: '33per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'4 true'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ wrap: 'wrap', gutter: 'zero', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ width: '33per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'1 false'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: '33per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'2 false'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: '33per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'3 false'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: '33per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'4 false'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ wrap: 'reverse', gutter: 'zero', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ width: '33per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'1 reverse'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: '33per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'2 reverse'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: '33per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'3 reverse'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: '33per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'4 reverse'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: '33per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'5 reverse'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: '33per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'6 reverse'
								)
							)
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxCode },
						_react2.default.createElement(
							'div',
							null,
							'<Row wrap="nowrap"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row wrap="wrap"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row wrap="reverse"></Row>'
						)
					)
				),
				_react2.default.createElement(
					'h2',
					{ className: _Docs2.default.docHeading2 },
					'Row Direction'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 },
							'default "row"'
						),
						_react2.default.createElement(
							_index.Row,
							{ direction: 'row', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ col: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'row - item 1'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ col: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'row - item 2'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ col: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'row - item 3'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ col: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'row - item 4'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ direction: 'column', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ col: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'column - item 1'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ col: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'column - item 2'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ col: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'column - item 3'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ col: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'column - item 4'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ direction: 'rowReverse', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ col: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'rowReverse - item 1'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ col: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'rowReverse - item 2'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ col: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'rowReverse - item 3'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ col: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'rowReverse - item 4'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ direction: 'columnReverse', marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ col: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'columnReverse - item 1'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ col: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'columnReverse - item 2'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ col: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'columnReverse - item 3'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ col: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'columnReverse - item 4'
								)
							)
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxCode },
						_react2.default.createElement(
							'div',
							null,
							'<Row direction="row"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row direction="column"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row direction="rowReverse"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row direction="columnReverse"></Row>'
						)
					)
				),
				_react2.default.createElement(
					'h2',
					{ className: _Docs2.default.docHeading2 },
					'Row & Col Margin'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 },
							'default "zero"'
						),
						_react2.default.createElement(
							'h3',
							{ className: _Docs2.default.docHeading3 },
							'Margin Top'
						),
						_react2.default.createElement(
							_index.Row,
							{ marginTop: 'zero' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'zero'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'zero'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'zero'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginTop: 'one' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'one'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'one'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'one'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginTop: 'two' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'two'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'two'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'two'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginTop: 'tiny' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'tiny'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'tiny'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'tiny'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginTop: 'xxsm' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxsm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxsm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxsm'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginTop: 'xsm' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xsm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xsm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xsm'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginTop: 'sm' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'sm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'sm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'sm'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginTop: 'md' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'md'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'md'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'md'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginTop: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'lg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'lg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'lg'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginTop: 'xlg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xlg'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginTop: 'xxlg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxlg'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginTop: 'jumbo' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'jumbo'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'jumbo'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'jumbo'
								)
							)
						),
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 + ' ' + _global2.default.marginTopSm },
							'Margin Bottom'
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'zero' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'zero'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'zero'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'zero'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'one' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'one'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'one'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'one'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'two' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'two'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'two'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'two'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'tiny' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'tiny'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'tiny'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'tiny'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'xxsm' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxsm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxsm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxsm'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'xsm' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xsm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xsm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xsm'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'sm' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'sm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'sm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'sm'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'md' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'md'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'md'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'md'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'lg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'lg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'lg'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'xlg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xlg'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'xxlg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxlg'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'jumbo' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'jumbo'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'jumbo'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'jumbo'
								)
							)
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxCode },
						_react2.default.createElement(
							'div',
							null,
							'<Row marginTop="zero"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginTop="one"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginTop="two"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginTop="tiny"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginTop="xxsm"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginTop="xsm"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginTop="sm"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginTop="md"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginTop="lg"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginTop="xlg"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginTop="xxlg"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginTop="jumbo"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginBottom="zero"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginBottom="one"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginBottom="two"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginBottom="tiny"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginBottom="xxsm"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginBottom="xsm"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginBottom="sm"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginBottom="md"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginBottom="lg"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginBottom="xlg"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginBottom="xxlg"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row marginBottom="jumbo"></Row>'
						)
					)
				),
				_react2.default.createElement(
					'h2',
					{ className: _Docs2.default.docHeading2 },
					'Row & Col Padding'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 },
							'default "zero"'
						),
						_react2.default.createElement(
							'h3',
							{ className: _Docs2.default.docHeading3 },
							'Padding Top'
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingTop: 'zero' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'zero'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'zero'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'zero'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingTop: 'one' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'one'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'one'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'one'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingTop: 'two' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'two'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'two'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'two'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingTop: 'tiny' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'tiny'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'tiny'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'tiny'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingTop: 'xxsm' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxsm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxsm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxsm'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingTop: 'xsm' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xsm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xsm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xsm'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingTop: 'sm' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'sm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'sm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'sm'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingTop: 'md' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'md'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'md'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'md'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingTop: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'lg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'lg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'lg'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingTop: 'xlg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xlg'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingTop: 'xxlg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxlg'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingTop: 'jumbo' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'jumbo'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'jumbo'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'jumbo'
								)
							)
						),
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 + ' ' + _global2.default.paddingTopSm },
							'Padding Bottom'
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingBottom: 'zero' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'zero'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'zero'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'zero'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingBottom: 'one' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'one'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'one'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'one'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingBottom: 'two' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'two'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'two'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'two'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingBottom: 'tiny' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'tiny'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'tiny'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'tiny'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingBottom: 'xxsm' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxsm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxsm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxsm'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingBottom: 'xsm' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xsm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xsm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xsm'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingBottom: 'sm' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'sm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'sm'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'sm'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingBottom: 'md' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'md'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'md'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'md'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingBottom: 'lg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'lg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'lg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'lg'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingBottom: 'xlg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xlg'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingBottom: 'xxlg' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxlg'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'xxlg'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ paddingBottom: 'jumbo' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'jumbo'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'jumbo'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'jumbo'
								)
							)
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxCode },
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingTop="zero"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingTop="one"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingTop="two"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingTop="tiny"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingTop="xxsm"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingTop="xsm"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingTop="sm"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingTop="md"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingTop="lg"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingTop="xlg"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingTop="xxlg"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingTop="jumbo"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingBottom="zero"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingBottom="one"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingBottom="two"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingBottom="tiny"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingBottom="xxsm"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingBottom="xsm"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingBottom="sm"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingBottom="md"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingBottom="lg"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingBottom="xlg"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingBottom="xxlg"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row paddingBottom="jumbo"></Row>'
						)
					)
				),
				_react2.default.createElement(
					'h2',
					{ className: _Docs2.default.docHeading2 },
					'Row Grow'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 },
							'default "0"'
						),
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 },
							'grow 0'
						),
						_react2.default.createElement(
							_index.Container,
							{ height: '200px' },
							_react2.default.createElement(
								_index.Row,
								{ grow: '0' },
								_react2.default.createElement(
									_index.Col,
									{ width: 'even' },
									_react2.default.createElement(
										'div',
										{ className: _Docs2.default.colTint },
										'grow'
									)
								),
								_react2.default.createElement(
									_index.Col,
									{ width: 'even' },
									_react2.default.createElement(
										'div',
										{ className: _Docs2.default.colTint },
										'grow'
									)
								),
								_react2.default.createElement(
									_index.Col,
									{ width: 'even' },
									_react2.default.createElement(
										'div',
										{ className: _Docs2.default.colTint },
										'grow'
									)
								)
							),
							_react2.default.createElement(
								_index.Row,
								{ grow: '0', marginTop: 'xsm' },
								_react2.default.createElement(
									_index.Col,
									{ width: 'even' },
									_react2.default.createElement(
										'div',
										{ className: _Docs2.default.colTint },
										'grow'
									)
								),
								_react2.default.createElement(
									_index.Col,
									{ width: 'even' },
									_react2.default.createElement(
										'div',
										{ className: _Docs2.default.colTint },
										'grow'
									)
								),
								_react2.default.createElement(
									_index.Col,
									{ width: 'even' },
									_react2.default.createElement(
										'div',
										{ className: _Docs2.default.colTint },
										'grow'
									)
								)
							)
						),
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 },
							'grow 1'
						),
						_react2.default.createElement(
							_index.Container,
							{ height: '200px' },
							_react2.default.createElement(
								_index.Row,
								{ grow: '1' },
								_react2.default.createElement(
									_index.Col,
									{ width: 'even' },
									_react2.default.createElement(
										'div',
										{ className: _Docs2.default.colTint },
										'grow'
									)
								),
								_react2.default.createElement(
									_index.Col,
									{ width: 'even' },
									_react2.default.createElement(
										'div',
										{ className: _Docs2.default.colTint },
										'grow'
									)
								),
								_react2.default.createElement(
									_index.Col,
									{ width: 'even' },
									_react2.default.createElement(
										'div',
										{ className: _Docs2.default.colTint },
										'grow'
									)
								)
							),
							_react2.default.createElement(
								_index.Row,
								{ grow: '1', marginTop: 'xsm' },
								_react2.default.createElement(
									_index.Col,
									{ width: 'even' },
									_react2.default.createElement(
										'div',
										{ className: _Docs2.default.colTint },
										'grow'
									)
								),
								_react2.default.createElement(
									_index.Col,
									{ width: 'even' },
									_react2.default.createElement(
										'div',
										{ className: _Docs2.default.colTint },
										'grow'
									)
								),
								_react2.default.createElement(
									_index.Col,
									{ width: 'even' },
									_react2.default.createElement(
										'div',
										{ className: _Docs2.default.colTint },
										'grow'
									)
								)
							)
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxCode },
						_react2.default.createElement(
							'div',
							null,
							'<Row grow="0"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row grow=""></Row>'
						)
					)
				),
				_react2.default.createElement(
					'h2',
					{ className: _Docs2.default.docHeading2 },
					'Row & Col Display'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 },
							'default "flex"'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxCode },
						_react2.default.createElement(
							'div',
							null,
							'<Row display="flex"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Row display="none"></Row>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Col display="flex"></Col>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Col display="none"></Col>'
						)
					)
				),
				_react2.default.createElement(
					'h2',
					{ className: _Docs2.default.docHeading2 },
					'Col Width'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 },
							'default "auto"'
						),
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 + ' ' + _global2.default.paddingTopSm },
							'auto'
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'sm' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'auto' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'Auto: A Column'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'auto' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'Auto: Just Another Larger Column'
								)
							)
						),
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 + ' ' + _global2.default.paddingTopSm },
							'Grow'
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'sm' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'grow' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'A Column'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'grow' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'Auto: Just Another Larger Column'
								)
							)
						),
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 + ' ' },
							'Even'
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'sm' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'A Column'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'Auto: Just Another Larger Column'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'sm' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'even'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'sm' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'even'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'even'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'sm' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'even'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'even'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'even'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'sm' },
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'even'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'even'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'even'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'even' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'even'
								)
							)
						),
						_react2.default.createElement(
							'h3',
							{ className: ' ' + _Docs2.default.docHeading3 + ' ' + _global2.default.paddingTopSm },
							'px and per (%)'
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'sm' },
							_react2.default.createElement(
								_index.Col,
								{ width: '200px' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'200px'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'grow' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'grow 1'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'sm' },
							_react2.default.createElement(
								_index.Col,
								{ width: '400px' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'400px'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: 'grow' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'grow 1'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'sm' },
							_react2.default.createElement(
								_index.Col,
								{ width: '150px' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'150px'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: '250px' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'250px'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'sm' },
							_react2.default.createElement(
								_index.Col,
								{ width: '25per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'25per'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: '25per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'25per'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: '50per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'50per'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'sm' },
							_react2.default.createElement(
								_index.Col,
								{ width: '33per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'33per'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: '33per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'33per'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: '33per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'33per'
								)
							)
						),
						_react2.default.createElement(
							_index.Row,
							{ marginBottom: 'sm' },
							_react2.default.createElement(
								_index.Col,
								{ width: '25per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'25per'
								)
							),
							_react2.default.createElement(
								_index.Col,
								{ width: '75per' },
								_react2.default.createElement(
									'div',
									{ className: _Docs2.default.colTint },
									'75per'
								)
							)
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxCode },
						_react2.default.createElement(
							'div',
							null,
							'<Col width="200px"></Col>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Col width="400px"></Col>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Col width="250px"></Col>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Col width="25per"></Col>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Col width="33per"></Col>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<Col width="75per"></Col>'
						)
					)
				)
			);
		}
	}]);

	return PageLayout;
}(_react.Component);

exports.default = PageLayout;